Bug 350001 - Systemtap can not be installed/upgraded from 5.0 gold due to conflict with systemtap-runtime
Systemtap can not be installed/upgraded from 5.0 gold due to conflict with sy...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Documentation (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Ryan Lerch
Content Services Development
: Documentation, Reopened
Depends On:
Blocks: 222082 RHEL5u2_relnotes
  Show dependency treegraph
 
Reported: 2007-10-24 00:58 EDT by Wade Mealing
Modified: 2011-01-24 17:04 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-11 21:23:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2007-10-24 00:58:09 EDT
Description of problem:

Systemtap and systemtap-runtime RPMS can not be installed at the same time, it
produces the errror:

Transaction Check Error:   file /usr/libexec/systemtap/stp_check from
install of systemtap-runtime-0.5.14-1.el5 conflicts with file from
package systemtap-0.5.12-1.el5

Issue is to remove systemtap before upgrading to 5.1

Kbase already created, see http://kbase.redhat.com/faq/FAQ_103_11482

Wade
Comment 1 Don Domingo 2007-10-24 01:25:06 EDT
added to RHEL5.1 release notes updates:

<quote>
    *

      Installing the systemtap-runtime package will result in a transaction
check error if the systemtap package is already installed. Further, upgrading
Red Hat Enterprise Linux 5 to 5.1 will also fail if the systemtap package is
already installed.

      As such, remove the systemtap package using the command rpm -e
systemtap-0.5.12-1.e15 before installing systemtap-runtime or performing an upgrade.
</quote>

please advise if any further revisions are necessary. thanks!
Comment 3 Don Domingo 2008-01-31 22:37:30 EST
since RHEl5.1 already out the door, closing this bug.
Comment 5 Don Domingo 2008-02-20 18:57:51 EST
adding nmurray to this bug.

Norm, is this bug still in RHEl5.2 (and as such, should we still document it as
"known issue", or is it resolved now?)?

please advise. thanks!
Comment 6 Don Domingo 2008-04-01 22:13:17 EDT
Hi,
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don

Note You need to log in before you can comment on or make changes to this bug.